import { IExtensionManifest as IExtensionManifestSchema } from 'common/lib/generated/generated-models.js';
/**
 * Represents an input object that is validated against a subset of properties of the {@link IExtensionManifest}
 * JSON Schema. For simplicity, only necessary fields are validated and included here.
 */
export interface IPartialExtensionManifest extends Pick<IExtensionManifestSchema, 'name' | 'url' | 'bundleURL' | 'description' | 'displayName' | 'activationEvents' | 'contributes' | 'repository' | 'publisher' | 'categories' | 'icon' | 'tags'> {
    contributes: any;
}
